List repository and CLI build attempts with a stable cursor
curl --request GET \
--url https://api.firedrill.run/v1/projects/{projectId}/build-attempts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.firedrill.run/v1/projects/{projectId}/build-attempts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.firedrill.run/v1/projects/{projectId}/build-attempts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"schemaVersion": 1,
"buildAttemptId": "<string>",
"organizationId": "<string>",
"projectId": "<string>",
"sourceKind": "github",
"advanceFollowers": false,
"requestedBy": "<string>",
"state": "awaiting_upload",
"diagnostics": [
{}
],
"sourceClosure": [],
"createdAtMs": 0,
"updatedAtMs": 0,
"sourceDraftId": "<string>",
"sourceRevision": 1073741824,
"sourceDigest": "<string>",
"repositoryBindingId": "<string>",
"revision": "<string>",
"expectedBuildHash": "<string>",
"expectedArtifactDigest": "<string>",
"expectedBytes": 33554432,
"advanceEnvironmentId": "<string>",
"expectedEnvironmentVersion": 0,
"validationReview": {
"schemaVersion": 1,
"kind": "restricted-custom-tool-validation",
"status": "not_configured",
"binding": {
"sourceDigest": "<string>",
"buildHash": "<string>",
"artifactDigest": "<string>",
"packageLockHash": "<string>",
"toolArtifacts": [
{
"schemaVersion": 1,
"packageId": "<string>",
"version": "<string>",
"manifestHash": "<string>",
"artifactHash": "<string>",
"capabilities": [
"state.read"
]
}
],
"planDigest": "<string>",
"runtimeIdentity": "<string>",
"runtimePolicyDigest": "<string>"
},
"policy": {
"version": 1,
"execution": "restricted-declarative-direct-operations",
"replay": "two-fresh-worlds-exact-identities",
"limits": {},
"maxSpecBytes": 262144,
"maxSteps": 128,
"maxAssertions": 64,
"maxValidationMs": 120000
},
"diagnostics": [
{
"code": "<string>",
"message": "<string>",
"suggestion": "<string>"
}
],
"coverage": [
{
"operation": {
"packageId": "<string>",
"operationId": "<string>",
"instanceId": "<string>"
},
"exercised": 128
}
],
"drills": [
{
"drillId": "<string>",
"targetId": "<string>",
"deterministic": true,
"trials": [
{
"runId": "<string>",
"worldInstanceId": "<string>",
"seed": "1",
"status": "sealed",
"verdict": "passed",
"stateHash": "<string>",
"trajectoryHash": "<string>",
"evidenceHash": "<string>",
"transcriptDigest": "<string>",
"calls": [
{
"step": 15,
"operation": {
"packageId": "<string>",
"operationId": "<string>",
"instanceId": "<string>"
},
"inputDigest": "<string>",
"status": "ok",
"expected": {
"status": "ok",
"value": {
"digest": "<string>",
"bytes": 0,
"value": "<unknown>",
"preview": "<string>"
}
},
"matched": true,
"handlerExercised": true,
"errorCode": "<string>",
"value": {
"digest": "<string>",
"bytes": 0,
"value": "<unknown>",
"preview": "<string>"
}
}
],
"checks": [
{
"assertionId": "<string>",
"kind": "<string>",
"status": "passed",
"gate": true,
"message": "<string>",
"expected": {
"digest": "<string>",
"bytes": 0,
"value": "<unknown>",
"preview": "<string>"
},
"actual": {
"digest": "<string>",
"bytes": 0,
"value": "<unknown>",
"preview": "<string>"
}
}
],
"errorCode": "<string>"
}
]
}
],
"reviewDigest": "<string>"
},
"libraryDataReview": {
"schemaVersion": 1,
"kind": "reviewed_library_data",
"buildHash": "<string>",
"sourceDigest": "<string>",
"ancestorBuildHash": "<string>",
"reviewDigest": "<string>",
"proofDigest": "<string>"
},
"buildHash": "<string>",
"finishedAtMs": 0
}
],
"nextCursor": "<string>"
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}List repository and CLI build attempts with a stable cursor
List repository and CLI build attempts with a stable cursor
Authorizations
Opaque control credential
Path Parameters
Pattern:
^prj_[0-9a-z]{12,32}$Query Parameters
Required string length:
1 - 2048Required range:
1 <= x <= 100